USB_FOR_EACH_DEV(9)

NAME
usb_for_each_dev - iterate over all USB devices in the system

SYNOPSIS

int usb_for_each_dev(void * data, int (*fn) (struct usb_device *, void *));

ARGUMENTS

data
    data pointer that will be handed to the callback function

fn
    callback function to be called for each USB device

DESCRIPTION

Iterate over all USB devices and call fn for each, passing it data. If it returns anything other than 0, we break the iteration prematurely and return that value.

COPYRIGHT